Skip to main content
GET
List Portal Tasks
Scope: portal:read

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

status
enum<string>

Filter by canonical status

Available options:
not_started,
blocked,
in_progress,
submitted,
approved,
rejected,
cancelled
invoiceId
string<uuid>

Filter to tasks covering the invoice

customerId
string<uuid>

Filter to tasks covering the customer

updatedSince
string<date-time>

Filter to tasks updated at or after this ISO 8601 datetime

limit
integer
default:10
Required range: 0 <= x <= 100
offset
integer
default:0
Required range: x >= 0

Response

Paginated portal task list

data
object[]
hasMore
boolean
total
integer